Bug 357181 - system-config-bind crashes with short-prefix IPv6 reverse zones, displays IPv6 labels incorrectly
system-config-bind crashes with short-prefix IPv6 reverse zones, displays IPv...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Radek Vokal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-29 15:16 EDT by Alexander Dupuy
Modified: 2008-06-16 22:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:45:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Dupuy 2007-10-29 15:16:27 EDT
Description of problem:

After adding some IPv6 zones for unspecified and link-local addresses, I got the
following error crash when trying to start up system-config-bind:

  File "/usr/share/system-config-bind/IPV6.py", line 538, in label
    return self.address.hex_out()
  File "/usr/share/system-config-bind/IPV6.py", line 235, in hex_out
    if(output[-1] == ':'):
IndexError: string index out of range

The problem seems to be with the label generation for the reverse zone, not the
actual load of the zone.

Attempting to create an IPv6 reverse zone with a /16 prefix through the GUI
fails with a different error, also apparently related to label generation:

  File "/usr/share/system-config-bind/NewZone.py", line 141, in response
    fname=s.bind.zone_file(s.zone,str(s.name),True,zoneType)                    
  File "/usr/share/system-config-bind/BIND.py", line 382, in zone_file
    if( fname[-1] == '.'):
IndexError: string index out of range

The minimum supported prefix appears to be /32.

Version-Release number of selected component (if applicable):

4.0.2

How reproducible:

Add the following to named.conf:

zone "0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.ip6.arpa."
 IN {
        // RFC 3513
        type master;
        file "named.empty";
        allow-update { none; };
};

zone "8.e.f.ip6.arpa." IN {
        // RFC 3513
        type master;
        file "named.empty";
};

zone "0.a.e.f.ip6.arpa." IN {
        // RFC 3513
        type master;
        file "named.empty";
};


Steps to Reproduce:
1. add the above to /var/named/chroot/etc/named.conf (or /etc/named.conf)
2. run system-config-bind
3. look at crash traceback
4. patch bug (see attached patch) in /usr/share/system-config-bind/IPV6.py
5. run system-config-bind
6. (try to) create an IPv6 reverse zone for feb0::/16
7. look at error traceback on stderr
8. create an IPv6 reverse zone for feb0:0000::/32
9. look at labels for IPv6 reverse zones
  
Actual results:

:       Internet Reverse IPv6 ARPA Zone
        Internet Reverse IPv6 ARPA Zone
        Internet Reverse IPv6 ARPA Zone
feb0:   Internet Reverse IPv6 ARPA Zone

(note display of all-zeros IPv6 address as ':', and empty label for /12 and /16
zones)

Expected results:

::            Internet Reverse IPv6 ARPA Zone
fe80::/12     Internet Reverse IPv6 ARPA Zone
fea0::/16     Internet Reverse IPv6 ARPA Zone
feb0::/32     Internet Reverse IPv6 ARPA Zone

[or at least, if prefix length display is not possible:]

::            Internet Reverse IPv6 ARPA Zone
fe80::        Internet Reverse IPv6 ARPA Zone
fea0::        Internet Reverse IPv6 ARPA Zone
feb0:0::      Internet Reverse IPv6 ARPA Zone


Additional info:

A basic problem seems to be that the IPv6 reverse zone delegation points
allow zone delegation points at any of /4 /8 /12 /16 /20 etc. but the
system-config-bind configuration dialogs allow only for zones at /16 /32 /48
etc.  To provide full functionality, the IPv6 reverse zone creation dialog
should provide a way to specify the prefix length (as multiple of /4).

As a workaround, you can manually create reverse zones at the finer granularity,
and edit them with system-config-bind, it seems to create entries correctly
(including automatically added reverse entries).  The only problem is the empty
labels for zones with less than /32 (and lack of prefix-length indication).

@alex
Comment 1 Jesse Keating 2007-11-15 14:43:13 EST
Still trying to find an owner for system-config-bind.
Comment 2 Bug Zapper 2008-05-14 10:54:32 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 22:45:29 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.